Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » JavaFX SDK in Eclipse 2022-03
JavaFX SDK in Eclipse 2022-03 [message #1850777] Wed, 16 March 2022 18:11 Go to next message
Lutz Wrage is currently offline Lutz WrageFriend
Messages: 181
Registered: July 2009
Senior Member
I am trying to build a plugin that uses JavaFX in Eclipse 2022-03 with Java 17. I installed the pde feature org.eclipse.fx.ide.pde.feature (version 3.7.1) and openjfx features. I set the JavaFX preference to point to the sdk lib directory. However, the javafx jars do not show up as Plugin-Dependencies for my plugin project.
The same process worked in Eclipse 2021-03 with Java 11.

Is this supposed to work, or does 2022-03 require an updated version of the efxclipse feature?
Re: JavaFX SDK in Eclipse 2022-03 [message #1850809 is a reply to message #1850777] Thu, 17 March 2022 11:37 Go to previous messageGo to next message
Lutz Wrage is currently offline Lutz WrageFriend
Messages: 181
Registered: July 2009
Senior Member
So I tried again, this time Eclipse 2022-03 with Java 11. That works as expected, so the issue is caused by using Java 17.
Re: JavaFX SDK in Eclipse 2022-03 [message #1850971 is a reply to message #1850809] Wed, 23 March 2022 16:53 Go to previous message
Lutz Wrage is currently offline Lutz WrageFriend
Messages: 181
Registered: July 2009
Senior Member
I found the solution in another message. The Java 17 jre needs to be set explicitly in the preferences as the jre to use for Java 11 etc.
Previous Topic:e(fx)clipse + Java 17 LTS
Next Topic:Cannot find the eclipse fx view
Goto Forum:
  


Current Time: Mon Oct 03 02:38:42 GMT 2022

Powered by FUDForum. Page generated in 0.01505 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top